Page MenuHomePhabricator

Notification titles should differentiate subpages of the talk page
Closed, ResolvedPublic

Description

If any mention or notification originates in a subpage of the user's talk page, the text doesn't seem to recognize it and states it as if it's "the talk page":


The example above is a notification from the subpage User_talk:MSchottlender-WMF/הנסיון_עם_הה on Hebrew wiki, but also happens in English. It might be better to not say "user talk page of..." when it's a subpage?

Pinging @jmatazzoni and @Pginer-WMF on this.

Event Timeline

Mooeypoo created this task.Mar 11 2016, 7:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2016, 7:26 PM
jmatazzoni added a comment.EditedMar 12 2016, 1:35 AM

What would you suggest as a fix? I'd hope this could be fixed without having to add yet more notifications and/or notification types.

E.g., these user sub pages must have names, I assume? Can we fix the Notifications system so that a) it can distinguish between THE user talk page and other pages in the space and b) for all pages other than THE user talk page, it simply uses the page name and namespace, as it does for any other page?

That's just an example; there's likely a more elegant formulation. But the point is, can we just find a formula that could be applied across the board?

What would you suggest as a fix? I'd hope this could be fixed without having to add yet more notifications and/or notification types.
E.g., these user sub pages must have names, I assume? Can we fix the Notifications system so that a) it can distinguish between THE user talk page and other pages in the space and b) for all pages other than THE user talk page, it simply uses the page name and namespace, as it does for any other page? Would that satisfy? Would it be a big project?

I think that's probably the best way to go. We can easily tell 1) whether a page is a subpage and 2) whether there is a user with the same name as the page. For an example of #2, see the red message on https://en.wikipedia.org/wiki/User:Jsdfjriutrgbvfdlgjerotjlkgjff

Treating the sub pages as regular pages makes sense. So we can keep the user talk page specific message for the main user talk page, not its sub-pages.

Also, I was expecting the truncation for pages to be 50 characters in the notification message ( T121822#1910033 ) while the one in the screenshot seems shorter. Is the "user talk page of" part counted as part of the page name or only "MSchottlender-WMF/sub-page"?

Also, I was expecting the truncation for pages to be 50 characters in the notification message ( T121822#1910033 ) while the one in the screenshot seems shorter. Is the "user talk page of" part counted as part of the page name or only "MSchottlender-WMF/sub-page"?

It thinks it's a username so the limit is 20 (and it can be slightly off if it includes double-byte characters).

Change 279116 had a related patch set uploaded (by Matthias Mullie):
Notification titles should differentiate subpages of the talk page

https://gerrit.wikimedia.org/r/279116

Change 279116 merged by jenkins-bot:
Notification titles should differentiate subpages of the talk page

https://gerrit.wikimedia.org/r/279116

Checked in betalabs

Shows the differentiation between user talk page and user talk sub-page

Shows Flow board sub-page (not user talk)

Hi @Etonkovidova, could I please see what one of these looks like in a notification type that mentions the page in the header text? E.g., page-linked, reverted, or mention? Thanks.

Mention on Flow user talk sub-pages - see the screenshot below

Mention notification for a sub-page for non-Flow user talk page includes a full page title with a name space - is it ok?

@jmatazzoni - reverts on Flow boards do not trigger Notifications

Revert notification from wiki text based page - Mavetuna22/Sub1 and revert notification from user talk sub-page (wikitext) - User talk:ET70/Sub1

@jmatazzoni - reverts on Flow boards do not trigger Notifications
Revert notification from wiki text based page - Mavetuna22/Sub1 and revert notification from user talk sub-page (wikitext) - User talk:ET70/Sub1

Filed as T130969: Revert notifications for Flow edits

Etonkovidova added a comment.EditedMar 25 2016, 11:10 PM

@jmatazzoni Links notifications are sent only for links that made between wikitext pages in main namespace.

jmatazzoni closed this task as Resolved.Mar 29 2016, 11:43 PM